Bug 188573 - "vgdisplay -c" reports PE size 2x what is reported in "vgdisplay"
"vgdisplay -c" reports PE size 2x what is reported in "vgdisplay"
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lvm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Wysochanski
Brian Brock
: 188566 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-04-11 08:31 EDT by rob
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-25 13:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rob 2006-04-11 08:31:18 EDT
Description of problem:
"vgdisplay -c" reports 2x size in field 13 (physical extent size)

Version-Release number of selected component (if applicable):
Base system is RHEL3 Update5 but lvm is updated to current...

[root@sneezy root]# rpm -q lvm

How reproducible:
Every time.

Steps to Reproduce:
1. On a system with LVM enabled, type... 
2. vgdisplay   # To see PE size
3. vgdisplay -c | cut -d: -f13 # to get scriptable version of step 2
Actual results:
field 13 is 2x the size of the PE field of `vgdisplay`

Expected results:
field 13 should equal in size the PE field of `vgdisplay`

Additional info:

[root@sneezy root]# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 3 (Taroon Update 5)
[root@sneezy root]# rpm -q lvm
[root@sneezy root]# vgdisplay
--- Volume group ---
VG Name               Volume00
VG Access             read/write
VG Status             available/resizable
VG #                  0
MAX LV                256
Cur LV                5
Open LV               5
MAX LV Size           255.99 GB
Max PV                256
Cur PV                1
Act PV                1
VG Size               14.21 GB
PE Size               4 MB
Total PE              3637
Alloc PE / Size       2250 / 8.79 GB
Free  PE / Size       1387 / 5.42 GB
VG UUID               jxoR8V-uNTl-Qv2B-X8d9-QISo-oh17-jPIydH

[root@sneezy root]# vgdisplay -c | cut -d: -f13

[root@sneezy root]#
Comment 1 Alasdair Kergon 2006-04-11 09:20:18 EDT
*** Bug 188566 has been marked as a duplicate of this bug. ***
Comment 2 Dave Wysochanski 2007-07-25 13:41:48 EDT
At this point in RHEL3 changing this does not seem worthwhile.

Note You need to log in before you can comment on or make changes to this bug.